{capture name="mainbox"}

    <form action="{""|fn_url}" method="post" id="commission_form" name="commission_form" class="{if ""|fn_check_form_permissions} cm-hide-inputs{/if}">

        {include file="common/pagination.tpl" save_current_page=true save_current_url=true}

        {$c_url=$config.current_url|fn_query_remove:"sort_by":"sort_order"}
        {$c_icon="<i class=\"icon-`$search.sort_order_rev`\"></i>"}
        {$c_dummy="<i class=\"icon-dummy\"></i>"}
        {$commission_statuses=""|fn_get_default_statuses:true}

        {hook name="products:bulk_edit"}
            {include file="addons/switips/views/switips/components/bulk_edit.tpl"}
        {/hook}

        {if $commissions}
            <div class="table-responsive-wrapper">
                <table class="table table-middle table--relative table-responsive longtap-selection">
                    <thead
                            data-ca-bulkedit-default-object="true"
                            data-ca-bulkedit-component="defaultObject"
                    >
                    <tr>
                        <th width="5%" class="mobile-hide">
                            {include file="common/check_items.tpl" check_statuses=$commission_statuses}

                            <input type="checkbox"
                                   class="bulkedit-toggler hide"
                                   data-ca-bulkedit-toggler="true"
                                   data-ca-bulkedit-disable="[data-ca-bulkedit-default-object=true]"
                                   data-ca-bulkedit-enable="[data-ca-bulkedit-expanded-object=true]"
                            />
                        </th>
                        <th>
                            <a class="cm-ajax" href="{"`$c_url`&sort_by=name&sort_order=`$search.sort_order_rev`"|fn_url}" data-ca-target-id="pagination_contents">{__("name")}{if $search.sort_by == "name"}{$c_icon nofilter}{else}{$c_dummy nofilter}{/if}</a></th>
                        <th width="10%" class="nowrap center mobile-hide">
                            <a class="cm-ajax" href="{"`$c_url`&sort_by=amount&sort_order=`$search.sort_order_rev`"|fn_url}" data-ca-target-id="pagination_contents">{__("commission")}{if $search.sort_by == "amount"}{$c_icon nofilter}{else}{$c_dummy nofilter}{/if}</a></th>

                        <th width="8%" class="mobile-hide">&nbsp;</th>
                        <th width="10%" class="right"><a class="cm-ajax" href="{"`$c_url`&sort_by=status&sort_order=`$search.sort_order_rev`"|fn_url}" data-ca-target-id="pagination_contents">{__("status")}{if $search.sort_by == "status"}{$c_icon nofilter}{else}{$c_dummy nofilter}{/if}</a></th>
                    </tr>
                    </thead>

                    {foreach from=$commissions item=commission}

                        {$allow_save=$commission|fn_allow_save_object:"switips"}

                        {if $allow_save}
                            {$link_text=__("edit")}
                            {$additional_class="cm-no-hide-input"}
                            {$status_display=""}
                        {else}
                            {$link_text=__("view")}
                            {$additional_class="cm-hide-inputs"}
                            {$status_display="text"}
                        {/if}

                        <tr class="cm-row-status-{$commission.status|lower} cm-longtap-target {$additional_class}"
                            data-ca-longtap-action="setCheckBox"
                            data-ca-longtap-target="input.cm-item"
                            data-ca-id="{$commission.commission_id}"
                        >
                            <td width="5%" class="mobile-hide">
                                <input name="commission_ids[]" type="checkbox" value="{$commission.commission_id}" class="cm-item cm-item-status-{$commission.status|lower} hide" /></td>
                            <td data-th="{__("name")}">
                                <a class="row-status" href="{"switips.update?commission_id=`$commission.commission_id`"|fn_url}">{$commission.name}</a>
                                {include file="views/companies/components/company_name.tpl" object=$commission}
                            <td width="10%" class="center mobile-hide" data-th="{__("amount")}">
                                <span>{$commission.amount}</span>
                            </td>

                            <td width="8%" class="right mobile-hide">
                                <div class="hidden-tools">
                                    {capture name="tools_list"}
                                        {hook name="switips:list_extra_links"}
                                            <li>{btn type="list" text=$link_text href="switips.update?commission_id=`$commission.commission_id`"}</li>
                                        {if $allow_save}
                                            <li>{btn type="list" text=__("delete") class="cm-confirm" href="switips.delete?commission_id=`$commission.commission_id`" method="POST"}</li>
                                        {/if}
                                        {/hook}
                                    {/capture}
                                    {dropdown content=$smarty.capture.tools_list}
                                </div>
                            </td>
                            <td width="10%" class="nowrap right" data-th="{__("status")}">
                                {include file="common/select_popup.tpl" popup_additional_class="dropleft" display=$status_display id=$commission.commission_id status=$commission.status hidden=true object_id_name="commission_id" table="switips_commissions"}
                            </td>
                        </tr>
                    {/foreach}
                </table>
            </div>
        {else}
            <p class="no-items">{__("no_data")}</p>
        {/if}

        {include file="common/pagination.tpl"}

        {capture name="buttons"}
            {capture name="tools_list"}
            {/capture}
            {dropdown content=$smarty.capture.tools_list class="mobile-hide"}
        {/capture}

        {capture name="adv_buttons"}
            {capture name="tools_list"}
                <li>{btn type="list" text=__("add_commission") href="switips.add"}</li>
            {/capture}
            {dropdown content=$smarty.capture.tools_list icon="icon-plus" no_caret=true placement="right"}
            {** Hook for the actions menu on the products manage page *}
        {/capture}

    </form>
{/capture}
{include file="common/mainbox.tpl" title=__("commissions") content=$smarty.capture.mainbox tools=$smarty.capture.tools select_languages=true buttons=$smarty.capture.buttons adv_buttons=$smarty.capture.adv_buttons}