{capture name="mainbox"}

    <form action="{""|fn_url}" method="post" id="order_form" name="order_form" class="{if ""|fn_check_form_permissions} cm-hide-inputs{/if}">

        {include file="common/pagination.tpl" save_current_page=true save_current_url=true}

        {$c_url=$config.current_url|fn_query_remove:"sort_by":"sort_order"}
        {$c_icon="<i class=\"icon-`$search.sort_order_rev`\"></i>"}
        {$c_dummy="<i class=\"icon-dummy\"></i>"}
        {$order_statuses=""|fn_get_default_statuses:true}


        {if $orders}
            <div class="table-responsive-wrapper">
                <table class="table table-middle table--relative table-responsive longtap-selection">
                    <thead
                            data-ca-bulkedit-default-object="true"
                            data-ca-bulkedit-component="defaultObject"
                    >
                    <tr>
                        <th width="10%" >
                            <a class="cm-ajax" href="{"`$c_url`&sort_by=status_id&sort_order=`$search.sort_order_rev`"|fn_url}" data-ca-target-id="pagination_contents">{__("id")}{if $search.sort_by == "status_id"}{$c_icon nofilter}{else}{$c_dummy nofilter}{/if}</a></th>
                        <th width="10%" class="nowrap center">
                            <a class="cm-ajax" href="{"`$c_url`&sort_by=order&sort_order=`$search.sort_order_rev`"|fn_url}" data-ca-target-id="pagination_contents">{__("order")}{if $search.sort_by == "order"}{$c_icon nofilter}{else}{$c_dummy nofilter}{/if}</a></th>
                        <th width="30%" class="nowrap center">
                            <a class="cm-ajax" href="{"`$c_url`&sort_by=user_id&sort_order=`$search.sort_order_rev`"|fn_url}" data-ca-target-id="pagination_contents">{__("user_id")}{if $search.sort_by == "user_id"}{$c_icon nofilter}{else}{$c_dummy nofilter}{/if}</a></th>

                        <th width="10%" class="nowrap center">
                            <a class="cm-ajax" href="{"`$c_url`&sort_by=amount&sort_order=`$search.sort_order_rev`"|fn_url}" data-ca-target-id="pagination_contents">{__("commission")}{if $search.sort_by == "amount"}{$c_icon nofilter}{else}{$c_dummy nofilter}{/if}</a></th>

                        <th width="20%" class="nowrap center">
                            <a class="cm-ajax" href="{"`$c_url`&sort_by=cost&sort_order=`$search.sort_order_rev`"|fn_url}" data-ca-target-id="pagination_contents">{__("order_cost")}{if $search.sort_by == "cost"}{$c_icon nofilter}{else}{$c_dummy nofilter}{/if}</a></th>

                        <th width="20%" class="nowrap center">
                            <a class="cm-ajax" href="{"`$c_url`&sort_by=status&sort_order=`$search.sort_order_rev`"|fn_url}" data-ca-target-id="pagination_contents">{__("status")}{if $search.sort_by == "status"}{$c_icon nofilter}{else}{$c_dummy nofilter}{/if}</a></th>
                    </tr>
                    </thead>

                    {foreach from=$orders item=order}

                        {$allow_save=$order|fn_allow_save_object:"switips"}

                        {if $allow_save}
                            {$link_text=__("edit")}
                            {$additional_class="cm-no-hide-input"}
                            {$status_display=""}
                        {else}
                            {$link_text=__("view")}
                            {$additional_class="cm-hide-inputs"}
                            {$status_display="text"}
                        {/if}

                        <tr class="cm-row-status-{$order.status|lower} cm-longtap-target {$additional_class}"
                            data-ca-longtap-action="setCheckBox"
                            data-ca-longtap-target="input.cm-item"
                            data-ca-id="{$order.status_id}"
                        >

                            <td width="10%" data-th="{__("status_id")}">
                                <span>{$order.status_id}</span>
                            </td>
                            <td width="10%" class="center" data-th="{__("order")}">
                                <a class="row-status" href="{"orders.details&order_id=`$order.order`"|fn_url}"># {$order.order}</a>
                            </td>

                            <td width="30%" class="center" data-th="{__("user_id")}">
                                <span>{$order.user_id}</span>
                            </td>

                            <td width="10%" class="center" data-th="{__("commission")}">
                                <span>{$order.amount}</span>
                            </td>

                            <td width="20%" class="center" data-th="{__("order_cost")}">
                                <span>{$order.cost}</span>
                            </td>

                            <td width="20%" class="center" data-th="{__("status")}">
                                <span>{$order.description}</span>
                            </td>

                        </tr>
                    {/foreach}
                </table>
            </div>
        {else}
            <p class="no-items">{__("no_data")}</p>
        {/if}

        {include file="common/pagination.tpl"}

        {capture name="buttons"}
            {capture name="tools_list"}
                {hook name="switips:orders_tools_list"}
                {/hook}
            {/capture}
            {dropdown content=$smarty.capture.tools_list class="mobile-hide"}
        {/capture}

    </form>
{/capture}
{include file="common/mainbox.tpl" title=__("switips_orders") content=$smarty.capture.mainbox tools=$smarty.capture.tools select_languages=true buttons=$smarty.capture.buttons adv_buttons=$smarty.capture.adv_buttons}